(function convert(pageId, pathAndQuery, domain) {
    if(typeof window.require !== 'function'){
        return '';
    }
    var convertedRoute = null;
    try {
        var path = new Object();
        path.path = pathAndQuery;
        var request = new Object();
        request.url = path;

        var options = new Object();
        options.dnsZone = domain;

    	var routeConverter = require('route-converter').touch;
        convertedRoute = routeConverter.toDesktopOrNull(pageId, request, options);
    } catch(e) {
        console.log(e);
    }
    if (convertedRoute == null) {
        convertedRoute = '';
    }
    return convertedRoute;
 })